Update a space
PATCH/spaces/{owner}/{space}
Update a space by providing its new details.
Path Parameters
The handle of the owner.
Possible values: non-empty and <= 50 characters
The handle of the space.
Possible values: non-empty and <= 50 characters
Body
requiredThe new handle of the space. Must be unique.
string<handle>Possible values: non-empty and <= 50 characters
space-aThe new alias of the space.
string,null<alias>Possible values: non-empty and <= 100 characters
Space AResponses
- 200
- 404
- 409
The updated space
Response Body
The UUID of the space. Is unique.
string<uuid>00000000-0000-0000-0000-000000000000The handle of the space. Is unique.
string<handle>space-aThe alias of the space.
string,null<alias>Space Aownerobjectrequired
The owner of the space.
The type of the owner.
OwnerType (string)Possible values: [user, org]
userThe handle of the owner. Is unique.
string<handle>user-aThe alias of the owner.
string,null<alias>User AThe number of audios of the space.
integer<int32>10The number of voiceprints of the space.
integer<int32>10The number of verifications of the space.
integer<int32>10The number of identities of the space.
integer<int32>10The date and time when the space was created.
string<date-time>2023-01-01T00:00:00.000000ZExample from Schema
{
"id": "00000000-0000-0000-0000-000000000000",
"handle": "space-a",
"alias": "Space A",
"owner": {
"type": "user",
"handle": "user-a",
"alias": "User A"
},
"audios": 10,
"voiceprints": 10,
"verifications": 10,
"identities": 10,
"createdAt": "2023-01-01T00:00:00.000000Z"
}
Resource not found
Response Body
The message of the error.
this is an error messageExample from Schema
{
"message": "this is an error message"
}
Resource collision
Response Body
The message of the error.
this is an error messageExample from Schema
{
"message": "this is an error message"
}